public class InteruptExcetption extends Thread {
    public void run() {
        for (int i = 0; i < 10; i++) {
            try {
                Thread.sleep(1000);
                if (i == 7) {
                    throw new InterruptedException(); // to simulate the interrupt exception
                }
            } catch (InterruptedException e) {
                System.err.println("Sleep is disturbed. " + e);
                e.printStackTrace();
            }
            System.out.println("Iteration: " + i);
        }
    }

    public static void main(String args[]) {
        InteruptExcetption exceptionOne = new InteruptExcetption();
        exceptionOne.start();

        try {
            exceptionOne.join();
        } catch (InterruptedException e) {
            System.err.println("Properly not joined with parent thread. " + e);
            e.printStackTrace();
        }
    }
}
